> ## Documentation Index
> Fetch the complete documentation index at: https://docs.specterops.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflow enrichment workflow status

> Get the current status of the enrichment workflow system



## OpenAPI

````yaml /nemesis-docs/docs/nemesis-api.json get /workflows/status
openapi: 3.1.0
info:
  title: Enrichment API
  description: API for file enrichment services
  version: 0.1.0
servers:
  - url: /api
security: []
tags:
  - name: files
    description: File management operations
  - name: workflows
    description: Workflow management operations
  - name: enrichments
    description: Enrichment management operations
  - name: system
    description: System and health check endpoints
paths:
  /workflows/status:
    get:
      tags:
        - workflows
      summary: Get workflow enrichment workflow status
      description: Get the current status of the enrichment workflow system
      operationId: get_status_workflows_status_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowStatusResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    WorkflowStatusResponse:
      properties:
        queued_files:
          type: integer
          title: Queued Files
        active_workflows:
          type: integer
          title: Active Workflows
        status_counts:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Status Counts
        active_details:
          items:
            $ref: '#/components/schemas/ActiveWorkflowDetail'
          type: array
          title: Active Details
          default: []
        metrics:
          $ref: '#/components/schemas/WorkflowMetrics'
        timestamp:
          type: string
          title: Timestamp
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - queued_files
        - active_workflows
        - metrics
        - timestamp
      title: WorkflowStatusResponse
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message details
      type: object
      required:
        - detail
      title: ErrorResponse
    ActiveWorkflowDetail:
      properties:
        id:
          type: string
          title: Id
        status:
          type: string
          title: Status
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        object_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Object Id
        timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Timestamp
        runtime_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Runtime Seconds
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - id
        - status
      title: ActiveWorkflowDetail
    WorkflowMetrics:
      properties:
        completed_count:
          type: integer
          title: Completed Count
        failed_count:
          type: integer
          title: Failed Count
        total_processed:
          type: integer
          title: Total Processed
        success_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Success Rate
        processing_times:
          anyOf:
            - $ref: '#/components/schemas/WorkflowProcessingStats'
            - type: 'null'
      type: object
      required:
        - completed_count
        - failed_count
        - total_processed
      title: WorkflowMetrics
    WorkflowProcessingStats:
      properties:
        avg_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Seconds
        min_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Min Seconds
        max_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Seconds
        p50_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: P50 Seconds
        p90_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: P90 Seconds
        p95_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: P95 Seconds
        p99_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: P99 Seconds
        samples_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Samples Count
      type: object
      title: WorkflowProcessingStats

````